Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002530TestLinkTest Plan (builds, milestones, test assign)public2009-05-22 16:392010-05-01 20:33
ReporterMuffiman 
Assigned Tomhavlat 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.9 Beta 2 
Summary0002530: Cannot set urgency for individual test cases within a test suite
DescriptionWant to set urgency for individual test cases within a test suite but it is only possible to do that for the test suite level.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserMozilla/5.0
PHP Version3.2.19-3.fc9.noarch
TestCaseID
QA Team - Task Workflow Status
Attached Filespatch file icon tc_urgency.patch [^] (6,373 bytes) 2009-06-16 19:38 [Show Content]

- Relationships

-  Notes
(0007014)
amitkhullar (reporter)
2009-05-22 18:08

You can use the Test Importance field for the same, while creating test cases.

Amit
(0007016)
Muffiman (reporter)
2009-05-22 19:05

Thanks for the reply.

I am aware of the possibility you refer to.

However are we using the test cases repeatedly (as a regression test project) for many different test plans where the urgency will differ between test plans.

So if there would be possible to set the urgency on test plan level and for individual test cases I would be very grateful.
(0007017)
amitkhullar (reporter)
2009-05-22 19:14

u can try using diff version of the same test case to map with the diff test plans , as of now the system doesnt have the feature you want.

Amit
(0007030)
mhavlat (reporter)
2009-05-24 11:06

Yes, the possibility is not available yet. It could be added. It requires
- modify navigator to show TCs
- write a related page to set Urgency to TC
The priority class already support this feature.
(0007264)
Eloff (reporter)
2009-06-16 19:37

I've written a patch that makes it possible to set urgency for individual test cases in a testplan.

This is my first patch to TL, so comments are welcome...
(0007272)
mhavlat (reporter)
2009-06-18 05:06
edited on: 2009-06-18 05:10

Added the attached patch (with small modification) to HEAD code. Thanks for contribution.
Good work :-)


- Issue History
Date Modified Username Field Change
2009-05-22 16:39 Muffiman New Issue
2009-05-22 16:39 Muffiman Browser => Mozilla/5.0
2009-05-22 16:39 Muffiman PHP Version => 3.2.19-3.fc9.noarch
2009-05-22 18:08 amitkhullar Note Added: 0007014
2009-05-22 18:09 amitkhullar Status new => feedback
2009-05-22 19:05 Muffiman Note Added: 0007016
2009-05-22 19:14 amitkhullar Note Added: 0007017
2009-05-24 11:06 mhavlat Note Added: 0007030
2009-05-24 11:06 mhavlat Severity minor => feature request
2009-05-24 11:06 mhavlat Status feedback => acknowledged
2009-06-16 19:38 Eloff Note Added: 0007264
2009-06-16 19:38 Eloff File Added: tc_urgency.patch
2009-06-18 04:56 mhavlat Status acknowledged => assigned
2009-06-18 04:56 mhavlat Assigned To => mhavlat
2009-06-18 05:06 mhavlat Note Added: 0007272
2009-06-18 05:06 mhavlat Status assigned => resolved
2009-06-18 05:06 mhavlat Fixed in Version => 1.9 (DEV)
2009-06-18 05:06 mhavlat Resolution open => fixed
2009-06-18 05:10 mhavlat Note Edited: 0007272
2010-05-01 20:33 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker